### Constructor

# Gtk FileChooserNativenew

deprecated: 4.10

#### Declaration [src]

    GtkFileChooserNative*
    gtk_file_chooser_native_new (
      const char* title,
      GtkWindow* parent,
      GtkFileChooserAction action,
      const char* accept_label,
      const char* cancel_label
    )

#### Description [src]

Creates a new `GtkFileChooserNative`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`title`

  Type: `const char*`

  Title of the native.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`parent`

  Type: `GtkWindow`

  Transient parent of the native.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`action`

  Type: `GtkFileChooserAction`

  Open or save mode for the dialog.

`accept_label`

  Type: `const char*`

  Text to go in the accept button, or `NULL` for the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancel_label`

  Type: `const char*`

  Text to go in the cancel button, or `NULL` for the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkFileChooserNative`

A new `GtkFileChooserNative`

The caller of the function takes ownership of the data, and is responsible for freeing it.